Subject: Challenge from TE: Updated Nomcom 2020-2021: Result of random selection process

From: Toerless Eckert <[email-masked]>
Date: Tue, 14 Jul 2020 19:29:30 +0200

Dear NomCom chair,

I challenge your characterization of "the random selection should have been
done with..."
as a justified ecision reason.

I do not think there is adequate evidence from the RFCs that that
characterization is a mandatory interpretation of the RFC. I am not the only
one who said so.

I have also asked, but i have seen NO further attempt to cite sentences from
the RFC to prove that this is a necessary reading of the RFCs, so for all intent
and purpose, instead, my questions and input have been explicitly been
ignored.

Therefore unfortunately, i must challenge the reasoning of your decision.

In my reading of the relevant RFCs as well as the "spirit of the rules", there is
no clear evidence as to how NomCom chair should decide in this situation.
You declaring that there is would create inacceptable case law for one, in
opinion non-preferrable option.

Cheers
    Toerless

On Mon, Jul 13, 2020 at 07:50:25PM +0000, STARK, BARBARA H wrote:
> I???m resolving this challenge as follows:
>
> The random selections should have been done with Luigi???s affiliation
listed as ???Huawei???. We will be proceeding with the outcome that would
have resulted from the selection being done with the correct affiliation.
>
> That result is
>
> 65. Dirk Kutscher, University of Applied Sciences Emden/Leer
>
> 114. Ketan Jivan Talaulikar, Cisco Systems, India
>
> 127. Christopher Wood, Cloudflare
>
> 38. Xuesong Geng, Huawei
>
> 121. Rüdiger Volk, no affiliation
>
> 86. Gabriel Montenegro, Independent
>
> 18. Pablo Camarillo, Cisco Systems
>
> 58. LUIGI IANNONE, Huawei
>
> 13. Chris Bowers, Juniper Networks
>
> 94. Tony Przygienda, Juniper
>
>
>
> Disqualified selections are noted below:
>
> 96. Reshad Rahman, Cisco (Maximum Number of 2 for Cisco reached) -
> 10th in randomness order
>
> 85. Tal Mizrahi, Huawei (Maximum Number of 2 for Huawei reached) -
> 11th in randomness order
>
>
>
> Luigi has already expressed his willingness to serve.
>
>
>
> I???ll be posting this update to the Announcement list.
>
>
>
> I realize this won???t make everyone happy. I also realize there is no
solution that would make everyone happy. However, this is the exact result
presented by the previously advertised random selection process. There had
been an offer by Luigi to step aside *iff* that would have resulted in Tal
being allowed to serve. Since this would not result in Tal being allowed to
serve, Luigi is not stepping aside.
>
>
>
> Thanks to all who advised me in this decision.
>
> Barbara
>
>
>
>
> From: Michael StJohns <[email-masked]>
> Sent: Friday, July 10, 2020 11:05 AM
> To: [email-masked]; NomCom Chair 2020 <[email-masked]>
> Subject: Challenge: was Re: Updated Nomcom 2020-2021: Result of random
> selection process
>
> Hi -
>
> I hate to do this, but I'm going to be challenging this particular outcome as it
isn't strictly following the rules - basically, Luigi may not be replaced by Tal.
He either serves, or if he declines to serve, the next person on the list - not
Tal - will be selected.
>
> Here's my reasoning:
>
> After Luigi belatedly indicated his association with Huawei, the defined
process results in him remaining on the list but Tal being disqualified (as there
being 2 previous Huawei people selected before him).   If Luigi - at a later
time - decided he couldn't serve, we don't reach back on the list for the
previously disqualified people, we look forward - e.g. Tal once disqualfied is
no longer a candidate for future pulls.  If the next selected (#13 I think) is
Huawei, they could serve as Luigi's departure would move the Huawei count
back down to 1.
>
> The whole idea of this random draw is that people can't pick and choose to
substitute someone else for themselves.  Ideally, we would do a new
random number generator for each additional selection rather than
continuing down the list to completely eliminate those possibilities, but in the
current model, I believe Tal is disqualified and will stay that way.
>
> If Luigi still wants to remove himself, then the next selectee will be the one
in the 13th position, not Tal in the disqualified 8th.
>
> Mike
>
>
>
> On 7/8/2020 1:09 PM, NomCom Chair 2020 wrote:
>
> Luigi Iannone has informed me his affiliation has recently changed to
"Huawei". That would make 3 Huawei people, which means one must be
disqualified.
>
> Luigi requested that, since he was the person who didn't mention this prior
to selection, he should be the one removed. I have no problem with this, so I
will honor this request rather than removing Tal Mizrahi (as the last of the
Huawei people selected).
>
>
>
> So, here is the updated list:
>
>
>
> 65. Dirk Kutscher, University of Applied Sciences Emden/Leer
>
> 114. Ketan Jivan Talaulikar, Cisco Systems, India
>
> 127. Christopher Wood, Cloudflare
>
> 38. Xuesong Geng, Huawei
>
> 121. Rüdiger Volk, no affiliation
>
> 86. Gabriel Montenegro, Independent
>
> 18. Pablo Camarillo, Cisco Systems
>
> 13. Chris Bowers, Juniper Networks
>
> 85. Tal Mizrahi, Huawei
>
> 94. Tony Przygienda, Juniper
>
>
>
> Disqualified selections are noted below:
>
> 58. LUIGI IANNONE, Huawei (Maximum of 2 for Huawei reached) - 8th in
> randomness order, but requested to be the one removed
>
> 96. Reshad Rahman, Cisco (Maximum Number of 2 for Cisco reached) -
> 10th in randomness order
>
>
>
> With this updated announcement, the challenge period continues through
Wednesday, July 15, 2020 at 23:59 UTC, wherein the community may
challenge the results to the NomCom Chair (in writing, by email).  See RFC
8713, Section 4.17 for details.
>
>
>
> I will be contacting the selected volunteers to ensure they remain willing
and available to serve.
>
>
>
> Random selection data used:
>
>
>
> ** Random Source 1 - EuroMillions Lottery **
>
> ** Date - Tuesday July 7, 2020 **
>
> EuroMillions Lottery Results
>
> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.euro-
2Dmillio
> ns.com_results&d=DwIDAw&c=LFYZ-o9_HUMeMTSQicvjIg&r=LoGzhC-
8sc8SY8Tq4vr
fog&m=PD5MBwgsYGxSdufktQADc8y_UWUwC1iiDkZUYgwxyxQ&s=oHoPnm
Ca5mmQ-oN3n5
> 9Wsv5zPb-f8x7aN6ZpGUEl_qE&e=
> <https://urldefense.proofpoint.com/v2/url?u=https-3A__www.euro-
2Dmilli
> ons.com_results&d=DwMDaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=LoGzhC-
8sc8SY8Tq4v
> rfog&m=Kmz55mCAbYcwQokqhilIeD6l59sDatn-
ogy4_dBIwKs&s=T4EtTVu0SmEhyNsCI
> 2c6AoClponDEmHYAJEYVKeNpdU&e=>
>
> Tuesday, July 7, 2020 Results (drawn after 21:00 CEST):
>
> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.euro-
2Dmillio
> ns.com_results_07-2D07-2D2020&d=DwIDAw&c=LFYZ-
o9_HUMeMTSQicvjIg&r=LoGz
> hC-
8sc8SY8Tq4vrfog&m=PD5MBwgsYGxSdufktQADc8y_UWUwC1iiDkZUYgwxyx
Q&s=Y6p
> NUyUReH2WN1KrwgtdRXmROrP9gxCEfWRyx7M6LIc&e=
> <https://urldefense.proofpoint.com/v2/url?u=https-3A__www.euro-
2Dmilli
> ons.com_results_07-2D07-2D2020&d=DwMDaQ&c=LFYZ-
o9_HUMeMTSQicvjIg&r=LoG
> zhC-8sc8SY8Tq4vrfog&m=Kmz55mCAbYcwQokqhilIeD6l59sDatn-
ogy4_dBIwKs&s=q0
> oa9Oxdsc170H68e6YrNVtxVMOf_Hfc-VR0rh5oKtA&e=>
>
> (7 numbers, including the star balls: 5 numbers between 1 and 50 and 2
> star balls between 1 and 12)
>
>
>
> 12 16 23 33 41 8 10
>
>
>
> ** Random Source 2 - US Total Debt **
>
> ** Date - Monday July 6, 2020 **
>
> US Total Debt
>
> https://urldefense.proofpoint.com/v2/url?u=https-
3A__www.treasurydirec
> t.gov_govt_reports_pd_pd-5Fdebttothepenny.htm&d=DwIDAw&c=LFYZ-
o9_HUMeM
> TSQicvjIg&r=LoGzhC-
8sc8SY8Tq4vrfog&m=PD5MBwgsYGxSdufktQADc8y_UWUwC1iiD
> kZUYgwxyxQ&s=R4hOKmlPzOJcdHYcN0_XSuCzy3i5DVQq-N8bt7gCawo&e=
> <https://urldefense.proofpoint.com/v2/url?u=https-
3A__www.treasurydire
> ct.gov_govt_reports_pd_pd-
5Fdebttothepenny.htm&d=DwMDaQ&c=LFYZ-o9_HUMe
> MTSQicvjIg&r=LoGzhC-
8sc8SY8Tq4vrfog&m=Kmz55mCAbYcwQokqhilIeD6l59sDatn-
> ogy4_dBIwKs&s=7IIaUt1Sz-yfabMc3DJVKbqFIYP6MOOJRi9VqbHqhVo&e=>
>
> Monday July 6, 2020 (as published after 3pm EDT on Tuesday July 7):
>
> (Last 8 digits entered as a single number, ignore the commas and
> periods -- 6 digits before the period and 2 digits after)
>
>
>
> 23703560
>
>
>
> ** Random Source 3 - Australian TattsLotto **
>
> ** Date - Saturday July 4, 2020 **
>
> TattsLotto Results
>
> https://urldefense.proofpoint.com/v2/url?u=https-3A__thelott.com_tatts
> lotto_results&d=DwIDAw&c=LFYZ-o9_HUMeMTSQicvjIg&r=LoGzhC-
8sc8SY8Tq4vrf
> og&m=PD5MBwgsYGxSdufktQADc8y_UWUwC1iiDkZUYgwxyxQ&s=3T-
bZDK7a6EawJUudBt
> mukgi1qXhFaZ-a0V50sToxcE&e=
> <https://urldefense.proofpoint.com/v2/url?u=https-3A__thelott.com_tatt
> slotto_results&d=DwMDaQ&c=LFYZ-o9_HUMeMTSQicvjIg&r=LoGzhC-
8sc8SY8Tq4vr
> fog&m=Kmz55mCAbYcwQokqhilIeD6l59sDatn-
ogy4_dBIwKs&s=4hYByJ5ItJl3FdGvkJ
> rtOFoM7iQM92H23pspU-B8oTc&e=>
>
> Saturday July 4, 2020 results:
>
> (6 winning numbers, between 1 and 45; no Supps numbers)
>
>
>
> 17 31 33 35 39 42
>
>
>
> ** Random Source 4 - Emirates Loto **
>
> ** Date - Saturday July 4, 2020 **
>
> https://urldefense.proofpoint.com/v2/url?u=https-
3A__www.emiratesloto.
> com_loto_winningnumber_previous&d=DwIDAw&c=LFYZ-
o9_HUMeMTSQicvjIg&r=Lo
> GzhC-
8sc8SY8Tq4vrfog&m=PD5MBwgsYGxSdufktQADc8y_UWUwC1iiDkZUYgwxyx
Q&s=o
> FbqjPn-OilF2dm8dKCsTz5PO_XAnwfoehohzDCogX8&e=
> <https://urldefense.proofpoint.com/v2/url?u=https-
3A__www.emiratesloto
> .com_loto_winningnumber_previous&d=DwMDaQ&c=LFYZ-
o9_HUMeMTSQicvjIg&r=L
> oGzhC-8sc8SY8Tq4vrfog&m=Kmz55mCAbYcwQokqhilIeD6l59sDatn-
ogy4_dBIwKs&s=
> Jz5BnZcDwDSOGVroijrf71c5R2UIcrcQNWtP7TtH3Us&e=>
>
> Saturday July 4 results:
>
> (6 winning numbers, between 1 and 49)
>
>
>
> 10 20 21 24 26 34
>
>
>
> --------------- tool output -----------
>
> Key is:
>
>  8.10.12.16.23.33.41./23703560./17.31.33.35.39.42./10.20.21.24.26.34./
>
> index        hex value of MD5        div  selected
>
>  1  270D83B3AFE172BE3DAE13D5AFE10025  143  -> 65 <-
>
>  2  FE6FBE4A6FCAEFD6570D957596C0BC9A  142  -> 114 <-
>
>  3  AD10AAF6B527062D0E2F0E7B29AD3546  141  -> 127 <-
>
>  4  8614C1D4C4EBFACE6A5049AF1F9782CD  140  -> 38 <-
>
>  5  7D1EE81F1788AEA0FF359230F8096076  139  -> 121 <-
>
>  6  E7013327C78EA666CFA0ADD69E017D37  138  -> 86 <-
>
>  7  67135E88868DFC359459BF509920ACBD  137  -> 18 <-
>
>  8  ADDCDE6B8985E911E19CC6107B587597  136  -> 58 <-
>
>  9  D520F04487BA1AFE92B49AE7C613A7D0  135  -> 13 <-
>
> 10  4CC1EA463D3BC82C7009830F8ACDF431  134  -> 96 <-
>
> 11  9366F9278BD4CEE289093677432B2C03  133  -> 85 <-
>
> 12  A60E734755D605CD1189716F7FB1183E  132  -> 94 <-
>
>
>
> Barbara Stark
>
> nomcom-chair-2020 at ietf dot org

---

From: "Salz, Rich" <[email-masked]>
Date: Tue, 14 Jul 2020 17:44:32 +0000

Toerless,

You says that what Barbara did is not a mandatory interpretation.  Do you think it is a *possible* interpretation?

---

From: Michael StJohns <[email-masked]>
Date: Tue, 14 Jul 2020 13:54:46 -0400

Hi Toerless -

I'm actually unsure what the goal of your challenge is.  E.g. what do 
you expect the chair to do?    Do you expect her to change the list as 
published after my challenge was resolved?  If so, as I noted before, 
that's a disagreement with the result of a challenge ("a resolution not 
accepted") and a new challenge is not the proper approach.  Please 
review Section 4.17 and Section 6 of RFC8713 specifically:

>   The challenge must be made in writing (email is acceptable) to the
>     Chair.  The Chair has 48 hours to review the challenge and offer a
>     resolution to the member.  If the resolution is not accepted by the
>     member, that member may report the challenge according to the dispute
>     resolution process stated elsewhere in this document.
and

>    The process is as follows:
>
>     1.  The party seeking resolution submits a written request (email is
>         acceptable) to the Internet Society President detailing the issue
>         to be resolved.
>
>     2.  The Internet Society President appoints an arbiter to investigate
>         and resolve the issue.  A self-appointment is permitted.

It would be helpful if you would state what you expect out of this 
process - and I think that's a specific list that removes Luigi and 
includes Tal?  I'm not sure.

Later, Mike

(And at this point I'm going to drop out unless the Chair or the arbiter 
is looking for further input from me.)

---

From: "STARK, BARBARA H" <[email-masked]>
Date: Tue, 14 Jul 2020 20:01:09 +0000

Hi Toerless,
Thanks.
RFC 8713 (BCP 10) says
  If a selected volunteer, upon reading the announcement with the list
  of selected volunteers, finds that two or more other volunteers have
  the same affiliation, then the volunteer should notify the Chair who
  will determine the appropriate action.

When Luigi informed me of his new affiliation, there were two potential actions that I thought would be appropriate:
1. Consider Luigi as the 3rd Huawei person (since his affiliation had only just been changed in my list) and therefore disqualify him.
2. Change Luigi's affiliation and sequentially go through the list to determine impacts. This would result in Tal's disqualification.

Since Luigi indicated he would prefer to be the disqualified person (because the error was his), I originally chose option 1.
Given Mike's challenge, subsequent discussion on the list, and advice from Victor and Suresh (formal advisors), I came to the conclusion that a significant number of people did not agree that option 1 was appropriate. If Option 1 stood, it could potentially allow some "gaming" of the system. Therefore, I determined that Option 2 was the only appropriate action.

I was and am convinced that Option 2 is "an" appropriate action. I am also now convinced that it is "the" appropriate action in this case.
Therefore, I stand by what I said to conclude the previous challenge:
"The random selections should have been done with Luigi's affiliation listed as "Huawei". We will be proceeding with the outcome that would have resulted from the selection being done with the correct affiliation."
RFC 8713 grants me the task of determining the appropriate action. I have done so.

My resolution to your challenge is to take no action.
Barbara

Barbara Stark

> -----Original Message-----
> From: Toerless Eckert <[email-masked]>
> Sent: Tuesday, July 14, 2020 12:30 PM
> To: STARK, BARBARA H <[email-masked]>; [email-masked]
> Cc: 'Michael StJohns' <[email-masked]>; [email-masked]
> Subject: Challenge from TE: Updated Nomcom 2020-2021: Result of random
> selection process
> 
> Dear NomCom chair,
>

---

From: Toerless Eckert <[email-masked]>
Date: Tue, 14 Jul 2020 22:58:47 +0200

Dear NomCom chair, *:

On Tue, Jul 14, 2020 at 01:54:46PM -0400, Michael StJohns wrote:
> (And at this point I'm going to drop out unless the Chair or the arbiter is
> looking for further input from me.)

I am a bit confused. This sounds to me as if Michael is explicitly not interested
to read or reply to  any of my the questions and assertions raised to me,
so i guess i need to address my reply to just the list, but not Michael.

On Tue, Jul 14, 2020 at 01:54:46PM -0400, Michael StJohns wrote:
> I'm actually unsure what the goal of your challenge is.  E.g. what do you
> expect the chair to do?    Do you expect her to change the list as published
> after my challenge was resolved? 

I am NOT challenging the list of announced NomCom members from NomCom chair
because i think it is at the good faithed discretion of NomCom chair to come to
a solution.

I am SOLELY questioning the justification provided by NomCom chair:

"The random selections should have been done with Luigi???s affiliation listed as ???Huawei???"

This explanation to me sounds as if NomCom chair is agreeing with Michael StJohns
assertion that the RFCs imply that the priority list MUST be re-applied with the
new affiliations. 

I do not think that Michaels assertion for this being the only good faith
option to follow the spirit of the RFCs is actually supported by RFC text.
Others have said so as well on the list. To me, both keeping Luigi or keeping Tal
are possible good faith decisions by NomCom chair. Neither of these two options
has IMHO sufficient text in the current RFC to explain NomCom chairs "should"
justification. Others have expressed the same or similar thoughts on the list.

Wrt. NomCom challenge: I said what i wanted to say. I will accept any
reply of NomCom chair and consider the challenge resolved by her reply.
If she determines that a simple ask to explain or reconsider her reasoning
can not even be an actual challenge, thats fine with me as well.

I only brought this up, because i am worried about the challenge from
Michael inventing rules on the fly instead of doing it through updates
to the documents, shortcutting an actual documents rough consensus process.

If Michael so firmly believes that his assertion should be the rule, then
he should be writing a revision of the RFCs that explicitly says so.

Cheers
    Toerless

On Tue, Jul 14, 2020 at 01:54:46PM -0400, Michael StJohns wrote:
> Hi Toerless -
> 
> I'm actually unsure what the goal of your challenge is.  E.g. what do you
> expect the chair to do?    Do you expect her to change the list as published
> after my challenge was resolved?  If so, as I noted before, that's a
> disagreement with the result of a challenge ("a resolution not accepted")
> and a new challenge is not the proper approach.  Please review Section 4.17
> and Section 6 of RFC8713 specifically:
> 
> It would be helpful if you would state what you expect out of this process -
> and I think that's a specific list that removes Luigi and includes Tal?  I'm
> not sure.
> 
> Later, Mike
> 
> (And at this point I'm going to drop out unless the Chair or the arbiter is
> looking for further input from me.)
> 
> 

-- 
---
[email-masked]

---

From: 'Toerless Eckert' <[email-masked]>
Date: Tue, 14 Jul 2020 23:09:20 +0200

Thanks for the explanations, Barbara,
Consider the challenge resolve accepted
(whether it was a permissible challenge or not in the first place).

See the other mail i had written in the meantime in response to Michaels email.
(E.g would love to see Michael writing an update to the RFC, so that 
 we could have an actual rough consensus process to look at the options).

Cheers
    Toerless